> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a guide

> Update a guide. At least one guide property must be provided. <h3>OAuth</h3>Required scopes: <code>support</code>. Admin (or equivalent) role in the guide's organization is required.



## OpenAPI

````yaml /assets/openapi.json patch /guides/v1/{id}
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /guides/v1/{id}:
    patch:
      tags:
        - Guides
      summary: Update a guide
      description: >-
        Update a guide. At least one guide property must be provided.
        <h3>OAuth</h3>Required scopes: <code>support</code>. Admin (or
        equivalent) role in the guide's organization is required.
      operationId: patchGuide
      parameters:
        - in: path
          name: id
          description: The id of the guide
          schema:
            type: string
            format: uuid
          required: true
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/patchGuide'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  guide:
                    $ref: '#/components/schemas/guide'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - support
components:
  requestBodies:
    patchGuide:
      content:
        application/json:
          schema:
            type: object
            properties:
              guide:
                type: object
                properties:
                  description:
                    description: Markdown content of the guide.
                    type: string
                  title:
                    description: Display name of the guide.
                    type: string
                    minLength: 1
                  visibility:
                    description: Who can see this guide.
                    type: string
                    enum:
                      - public
                      - admins
                      - members
                      - networkMembers
            required:
              - guide
      required: true
  schemas:
    guide:
      type: object
      properties:
        createDate:
          description: ISO timestamp of when the guide was created.
          type: string
          format: date-time
        description:
          description: Markdown content of the guide.
          type: string
        id:
          description: Unique identifier of the guide.
          type: string
          format: uuid
        locale:
          description: Detected language code of the guide content.
          type: string
        locationRef:
          description: ID of the organization (location) this guide belongs to.
          type: string
          format: uuid
        media:
          description: Images extracted from the guide description.
          type: array
          items:
            type: object
            properties:
              height:
                description: Image height in pixels.
                type: number
              key:
                description: Storage key of the image.
                type: string
              mime:
                description: MIME type of the image.
                type: string
              url:
                description: Public URL of the image.
                type: string
              width:
                description: Image width in pixels.
                type: number
            required:
              - height
              - key
              - mime
              - url
              - width
            additionalProperties: false
        title:
          description: Display name of the guide.
          type: string
        visibility:
          description: Who can see this guide.
          type: string
          enum:
            - public
            - admins
            - members
            - networkMembers
      required:
        - createDate
        - id
        - locationRef
        - media
        - title
        - visibility
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````